<?php

namespace App\Entity\KeyHelp;

/**
 *
 */
class Apache
{
    private ?string $httpDirectives;
    private ?string $httpsDirectives;

    /**
     * @return string
     */
    public function getHttpDirectives(): string
    {
        return $this->httpDirectives;
    }

    /**
     * @param string|null $httpDirectives
     */
    public function setHttpDirectives(?string $httpDirectives): void
    {
        $this->httpDirectives = $httpDirectives;
    }

    /**
     * @return string
     */
    public function getHttpsDirectives(): string
    {
        return $this->httpsDirectives;
    }

    /**
     * @param string|null $httpsDirectives
     */
    public function setHttpsDirectives(?string $httpsDirectives): void
    {
        $this->httpsDirectives = $httpsDirectives;
    }
}